if loadfont $prefix/font.pf2 ; then
  set gfxmode=1024x768
  set gfxpayload=keep
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod gfxterm
  insmod png
  terminal_output gfxterm
fi

if background_image /isolinux/splash.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
elif background_image /splash.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi

source /boot/grub/config.cfg

# Live boot
menuentry "AcorOS - Live" --hotkey=l {
	linux	/live/vmlinuz boot=live components username=acoros hostname=acoros quiet splash locales=pt_PT.UTF-8 keyboard-layouts=pt findiso=${iso_path}
	initrd	/live/initrd.img
}
submenu "AcorOS - Live with Localisation Support" {
menuentry "Albanian (sq)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=sq_AL.UTF-8 keyboard-layouts=sq quiet splash
  initrd /live/initrd.img
}
menuentry "Amharic (am)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=am_ET keyboard-layouts=am quiet splash
  initrd /live/initrd.img
}
menuentry "Arabic (ar)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ar_EG.UTF-8 keyboard-layouts=ar quiet splash
  initrd /live/initrd.img
}
menuentry "Asturian (ast)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ast_ES.UTF-8 keyboard-layouts=ast quiet splash
  initrd /live/initrd.img
}
menuentry "Basque (eu)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=eu_ES.UTF-8 keyboard-layouts=eu quiet splash
  initrd /live/initrd.img
}
menuentry "Belarusian (be)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=be_BY.UTF-8 keyboard-layouts=be quiet splash
  initrd /live/initrd.img
}
menuentry "Bangla (bn)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=bn_BD keyboard-layouts=bn quiet splash
  initrd /live/initrd.img
}
menuentry "Bosnian (bs)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=bs_BA.UTF-8 keyboard-layouts=bs quiet splash
  initrd /live/initrd.img
}
menuentry "Bulgarian (bg)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=bg_BG.UTF-8 keyboard-layouts=bg quiet splash
  initrd /live/initrd.img
}
menuentry "Tibetan (bo)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=bo_IN keyboard-layouts=bo quiet splash
  initrd /live/initrd.img
}
menuentry "Catalan (ca)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ca_ES.UTF-8 keyboard-layouts=ca quiet splash
  initrd /live/initrd.img
}
menuentry "Chinese (Simplified) (zh_CN)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=zh_CN.UTF-8 keyboard-layouts=zh_CN quiet splash
  initrd /live/initrd.img
}
menuentry "Chinese (Traditional) (zh_TW)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=zh_TW.UTF-8 keyboard-layouts=zh_TW quiet splash
  initrd /live/initrd.img
}
menuentry "Croatian (hr)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=hr_HR.UTF-8 keyboard-layouts=hr quiet splash
  initrd /live/initrd.img
}
menuentry "Czech (cs)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=cs_CZ.UTF-8 keyboard-layouts=cs quiet splash
  initrd /live/initrd.img
}
menuentry "Danish (da)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=da_DK.UTF-8 keyboard-layouts=da quiet splash
  initrd /live/initrd.img
}
menuentry "Dutch (nl)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=nl_NL.UTF-8 keyboard-layouts=nl quiet splash
  initrd /live/initrd.img
}
menuentry "Dzongkha (dz)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=dz_BT keyboard-layouts=dz quiet splash
  initrd /live/initrd.img
}
menuentry "English (en)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=en_US.UTF-8 keyboard-layouts=en quiet splash
  initrd /live/initrd.img
}
menuentry "Esperanto (eo)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=eo.UTF-8 keyboard-layouts=eo quiet splash
  initrd /live/initrd.img
}
menuentry "Estonian (et)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=et_EE.UTF-8 keyboard-layouts=et quiet splash
  initrd /live/initrd.img
}
menuentry "Finnish (fi)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=fi_FI.UTF-8 keyboard-layouts=fi quiet splash
  initrd /live/initrd.img
}
menuentry "French (fr)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=fr_FR.UTF-8 keyboard-layouts=fr quiet splash
  initrd /live/initrd.img
}
menuentry "Galician (gl)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=gl_ES.UTF-8 keyboard-layouts=gl quiet splash
  initrd /live/initrd.img
}
menuentry "Georgian (ka)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ka_GE.UTF-8 keyboard-layouts=ka quiet splash
  initrd /live/initrd.img
}
menuentry "German (de)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=de_DE.UTF-8 keyboard-layouts=de quiet splash
  initrd /live/initrd.img
}
menuentry "Greek (el)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=el_GR.UTF-8 keyboard-layouts=el quiet splash
  initrd /live/initrd.img
}
menuentry "Gujarati (gu)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=gu_IN keyboard-layouts=gu quiet splash
  initrd /live/initrd.img
}
menuentry "Hebrew (he)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=he_IL.UTF-8 keyboard-layouts=he quiet splash
  initrd /live/initrd.img
}
menuentry "Hindi (hi)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=hi_IN keyboard-layouts=hi quiet splash
  initrd /live/initrd.img
}
menuentry "Hungarian (hu)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=hu_HU.UTF-8 keyboard-layouts=hu quiet splash
  initrd /live/initrd.img
}
menuentry "Icelandic (is)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=is_IS.UTF-8 keyboard-layouts=is quiet splash
  initrd /live/initrd.img
}
menuentry "Indonesian (id)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=id_ID.UTF-8 keyboard-layouts=id quiet splash
  initrd /live/initrd.img
}
menuentry "Irish (ga)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ga_IE.UTF-8 keyboard-layouts=ga quiet splash
  initrd /live/initrd.img
}
menuentry "Italian (it)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=it_IT.UTF-8 keyboard-layouts=it quiet splash
  initrd /live/initrd.img
}
menuentry "Japanese (ja)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ja_JP.UTF-8 keyboard-layouts=ja quiet splash
  initrd /live/initrd.img
}
menuentry "Kazakh (kk)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=kk_KZ.UTF-8 keyboard-layouts=kk quiet splash
  initrd /live/initrd.img
}
menuentry "Khmer (km)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=km_KH keyboard-layouts=km quiet splash
  initrd /live/initrd.img
}
menuentry "Kannada (kn)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=kn_IN keyboard-layouts=kn quiet splash
  initrd /live/initrd.img
}
menuentry "Korean (ko)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ko_KR.UTF-8 keyboard-layouts=ko quiet splash
  initrd /live/initrd.img
}
menuentry "Kurdish (ku)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ku_TR.UTF-8 keyboard-layouts=ku quiet splash
  initrd /live/initrd.img
}
menuentry "Lao (lo)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=lo_LA keyboard-layouts=lo quiet splash
  initrd /live/initrd.img
}
menuentry "Latvian (lv)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=lv_LV.UTF-8 keyboard-layouts=lv quiet splash
  initrd /live/initrd.img
}
menuentry "Lithuanian (lt)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=lt_LT.UTF-8 keyboard-layouts=lt quiet splash
  initrd /live/initrd.img
}
menuentry "Malayalam (ml)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ml_IN keyboard-layouts=ml quiet splash
  initrd /live/initrd.img
}
menuentry "Marathi (mr)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=mr_IN keyboard-layouts=mr quiet splash
  initrd /live/initrd.img
}
menuentry "Macedonian (mk)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=mk_MK.UTF-8 keyboard-layouts=mk quiet splash
  initrd /live/initrd.img
}
menuentry "Burmese (my)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=my_MM keyboard-layouts=my quiet splash
  initrd /live/initrd.img
}
menuentry "Nepali (ne)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ne_NP keyboard-layouts=ne quiet splash
  initrd /live/initrd.img
}
menuentry "Northern Sami (se_NO)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=se_NO keyboard-layouts=se_NO quiet splash
  initrd /live/initrd.img
}
menuentry "Norwegian Bokmaal (nb_NO)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=nb_NO.UTF-8 keyboard-layouts=nb_NO quiet splash
  initrd /live/initrd.img
}
menuentry "Norwegian Nynorsk (nn_NO)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=nn_NO.UTF-8 keyboard-layouts=nn_NO quiet splash
  initrd /live/initrd.img
}
menuentry "Persian (fa)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=fa_IR keyboard-layouts=fa quiet splash
  initrd /live/initrd.img
}
menuentry "Polish (pl)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=pl_PL.UTF-8 keyboard-layouts=pl quiet splash
  initrd /live/initrd.img
}
menuentry "Portuguese (pt)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=pt_PT.UTF-8 keyboard-layouts=pt quiet splash
  initrd /live/initrd.img
}
menuentry "Portuguese (Brazil) (pt_BR)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=pt_BR.UTF-8 keyboard-layouts=pt_BR quiet splash
  initrd /live/initrd.img
}
menuentry "Punjabi (Gurmukhi) (pa)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=pa_IN keyboard-layouts=pa quiet splash
  initrd /live/initrd.img
}
menuentry "Romanian (ro)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ro_RO.UTF-8 keyboard-layouts=ro quiet splash
  initrd /live/initrd.img
}
menuentry "Russian (ru)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ru_RU.UTF-8 keyboard-layouts=ru quiet splash
  initrd /live/initrd.img
}
menuentry "Sinhala (si)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=si_LK keyboard-layouts=si quiet splash
  initrd /live/initrd.img
}
menuentry "Serbian (Cyrillic) (sr)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=sr_RS keyboard-layouts=sr quiet splash
  initrd /live/initrd.img
}
menuentry "Slovak (sk)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=sk_SK.UTF-8 keyboard-layouts=sk quiet splash
  initrd /live/initrd.img
}
menuentry "Slovenian (sl)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=sl_SI.UTF-8 keyboard-layouts=sl quiet splash
  initrd /live/initrd.img
}
menuentry "Spanish (es)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=es_ES.UTF-8 keyboard-layouts=es quiet splash
  initrd /live/initrd.img
}
menuentry "Swedish (sv)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=sv_SE.UTF-8 keyboard-layouts=sv quiet splash
  initrd /live/initrd.img
}
menuentry "Tagalog (tl)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=tl_PH.UTF-8 keyboard-layouts=tl quiet splash
  initrd /live/initrd.img
}
menuentry "Tamil (ta)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ta_IN keyboard-layouts=ta quiet splash
  initrd /live/initrd.img
}
menuentry "Telugu (te)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=te_IN keyboard-layouts=te quiet splash
  initrd /live/initrd.img
}
menuentry "Tajik (tg)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=tg_TJ.UTF-8 keyboard-layouts=tg quiet splash
  initrd /live/initrd.img
}
menuentry "Thai (th)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=th_TH.UTF-8 keyboard-layouts=th quiet splash
  initrd /live/initrd.img
}
menuentry "Turkish (tr)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=tr_TR.UTF-8 keyboard-layouts=tr quiet splash
  initrd /live/initrd.img
}
menuentry "Uyghur (ug)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=ug_CN keyboard-layouts=ug quiet splash
  initrd /live/initrd.img
}
menuentry "Ukrainian (uk)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=uk_UA.UTF-8 keyboard-layouts=uk quiet splash
  initrd /live/initrd.img
}
menuentry "Vietnamese (vi)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=vi_VN keyboard-layouts=vi quiet splash
  initrd /live/initrd.img
}
menuentry "Welsh (cy)" {
  linux  /live/vmlinuz boot=live components username=acoros hostname=acoros locales=cy_GB.UTF-8 keyboard-layouts=cy quiet splash
  initrd /live/initrd.img
}
}
### Commented out till Persistence is working as expected. 
#menuentry "Persistent AcorOS" --hotkey=p {
#	linux	/live/vmlinuz boot=live components username=acoros hostname=acoros quiet splash findiso=${iso_path} persistence
#	initrd	/live/initrd.img
#}

### Commented out till toram is working as expected. 
#menuentry "AcorOS - loaded to RAM" --hotkey=t {
#	linux	/live/vmlinuz boot=live components username=acoros hostname=acoros quiet splash findiso=${iso_path} toram
#	initrd	/live/initrd.img 
#}
#menuentry "Developer Desktop" --hotkey=d {
#	linux	/live/vmlinuz boot=local ro root=/dev/sdb126 quiet splash findiso=${iso_path}
#	initrd	/live/initrd.img
#}

# You can add more entries like this
#menuentry "Alternate live boot" {
#	linux /live/vmlinuz boot=live components username=acoros hostname=acoros quiet splash findiso=${iso_path} custom options here
#	initrd /live/initrd.img
#}
#menuentry "Alternate graphical installer" {
#	linux   custom options here
#	initrd
#}
#menuentry "Alternate textual installer" {
#	linux   custom options here
#	initrd
#}

# Installer (if any)
if false; then

source	/boot/grub/install_start.cfg

submenu 'Advanced install options ...' --hotkey=a {

	source /boot/grub/theme.cfg

	source	/boot/grub/install.cfg

}
fi

submenu ' Utilities ...' --hotkey=u {

	source /boot/grub/theme.cfg

menuentry "AcorOS (fail-safe mode)" --hotkey=s {
	linux	/live/vmlinuz boot=live components username=acoros hostname=acoros memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=788
	initrd	/live/initrd.img
}
	# Memtest (if any)

	if [ "${grub_platform}" = "pc" ] -a false; then
		source /boot/grub/memtest.cfg
	fi

	# Firmware setup (UEFI)
	if [ "${grub_platform}" = "efi" ]; then
		menuentry "UEFI Firmware Settings" {
			fwsetup
		}
	fi
}
         
submenu ' Recovery ...' --hotkey=r {

	source /boot/grub/theme.cfg

menuentry "AçorOS on sda2" {
	linux /live/vmlinuz ro boot=local root=/dev/sda2 quiet splash
	initrd /live/initrd.img
}
menuentry "AçorOS on sda3" {
	linux /live/vmlinuz ro boot=local root=/dev/sda3 quiet splash
	initrd /live/initrd.img
}
menuentry "AçorOS on mmcblk0p2" {
	linux /live/vmlinuz ro boot=local root=/dev/mmcblk0p2 quiet splash
	initrd /live/initrd.img
}
menuentry "AçorOS on mmcblk0p3" {
	linux /live/vmlinuz ro boot=local root=/dev/mmcblk0p3 quiet splash
	initrd /live/initrd.img
}
menuentry "AçorOS on nvme0n1p2" {
	linux /live/vmlinuz ro boot=local root=/dev/nvme0n1p2 quiet splash
	initrd /live/initrd.img
}
menuentry "AçorOS on nvme0n1p3" {
	linux /live/vmlinuz ro boot=local root=/dev/nvme0n1p3 quiet splash
	initrd /live/initrd.img
}
#menuentry "AçorOS on nvme0n1p4" {
#	linux /live/vmlinuz ro boot=local root=/dev/nvme0n1p4 quiet splash
#	initrd /live/initrd.img
#}
#menuentry "AçorOS on nvme0n1p5" {
#	linux /live/vmlinuz ro boot=local root=/dev/nvme0n1p5 quiet splash
#	initrd /live/initrd.img
#}
}

